Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.util
Class MetaABMActSwitch<T>

    java.lang.Object
      org.metaabm.act.util.MetaABMActSwitch<T>

    public class MetaABMActSwitch<T>

extends java.lang.Object

Field Summary
`protected static MetaABMActPackage` | `modelPackage` The cached model package

Constructor Summary
`MetaABMActSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseAAccessor(AAccessor object)` Returns the result of interpreting the object as an instance of 'AAccessor'.
`T` | `caseAAct(AAct object)` Returns the result of interpreting the object as an instance of ' AAct'.
`T` | `caseAAll(AAll object)` Returns the result of interpreting the object as an instance of ' AAll'.
`T` | `caseAAny(AAny object)` Returns the result of interpreting the object as an instance of ' AAny'.
`T` | `caseABuild(ABuild object)` Returns the result of interpreting the object as an instance of 'ABuild'.
`T` | `caseABuildGeography(ABuildGeography object)` Returns the result of interpreting the object as an instance of 'ABuild Geography'.
`T` | `caseABuildGrid(ABuildGrid object)` Returns the result of interpreting the object as an instance of 'ABuild Grid'.
`T` | `caseABuildNetwork(ABuildNetwork object)` Returns the result of interpreting the object as an instance of 'ABuild Network'.
`T` | `caseABuildProjection(ABuildProjection object)` Returns the result of interpreting the object as an instance of 'ABuild Projection'.
`T` | `caseABuildSpace(ABuildSpace object)` Returns the result of interpreting the object as an instance of 'ABuild Space'.
`T` | `caseACause(ACause object)` Returns the result of interpreting the object as an instance of 'ACause'.
`T` | `caseACommand(ACommand object)` Returns the result of interpreting the object as an instance of 'ACommand'.
`T` | `caseAConnect(AConnect object)` Returns the result of interpreting the object as an instance of 'AConnect'.
`T` | `caseAControl(AControl object)` Returns the result of interpreting the object as an instance of 'AControl'.
`T` | `caseACreateAgents(ACreateAgents object)` Returns the result of interpreting the object as an instance of 'ACreate Agents'.
`T` | `caseACreateShapedAgents(ACreateShapedAgents object)` Returns the result of interpreting the object as an instance of 'ACreate Shaped Agents'.
`T` | `caseADerive(ADerive object)` Returns the result of interpreting the object as an instance of 'ADerive'.
`T` | `caseADie(ADie object)` Returns the result of interpreting the object as an instance of ' ADie'.
`T` | `caseADiffuse(ADiffuse object)` Returns the result of interpreting the object as an instance of 'ADiffuse'.
`T` | `caseADisconnect(ADisconnect object)` Returns the result of interpreting the object as an instance of 'ADisconnect'.
`T` | `caseAEvaluate(AEvaluate object)` Returns the result of interpreting the object as an instance of 'AEvaluate'.
`T` | `caseAGroup(AGroup object)` Returns the result of interpreting the object as an instance of 'AGroup'.
`T` | `caseAInitialize(AInitialize object)` Returns the result of interpreting the object as an instance of 'AInitialize'.
`T` | `caseAInput(AInput object)` Returns the result of interpreting the object as an instance of 'AInput'.
`T` | `caseALeave(ALeave object)` Returns the result of interpreting the object as an instance of 'ALeave'.
`T` | `caseALiteral(ALiteral object)` Returns the result of interpreting the object as an instance of 'ALiteral'.
`T` | `caseALoadAgents(ALoadAgents object)` Returns the result of interpreting the object as an instance of 'ALoad Agents'.
`T` | `caseALoadShapedAgents(ALoadShapedAgents object)` Returns the result of interpreting the object as an instance of 'ALoad Shaped Agents'.
`T` | `caseALogic(ALogic object)` Returns the result of interpreting the object as an instance of 'ALogic'.
`T` | `caseAMethod(AMethod object)` Returns the result of interpreting the object as an instance of 'AMethod'.
`T` | `caseAMove(AMove object)` Returns the result of interpreting the object as an instance of 'AMove'.
`T` | `caseAMultiValue(AMultiValue object)` Returns the result of interpreting the object as an instance of 'AMulti Value'.
`T` | `caseANetwork(ANetwork object)` Returns the result of interpreting the object as an instance of 'ANetwork'.
`T` | `caseANone(ANone object)` Returns the result of interpreting the object as an instance of 'ANone'.
`T` | `caseAPerform(APerform object)` Returns the result of interpreting the object as an instance of 'APerform'.
`T` | `caseAQuery(AQuery object)` Returns the result of interpreting the object as an instance of 'AQuery'.
`T` | `caseAReplace(AReplace object)` Returns the result of interpreting the object as an instance of 'AReplace'.
`T` | `caseARoot(ARoot object)` Returns the result of interpreting the object as an instance of 'ARoot'.
`T` | `caseARule(ARule object)` Returns the result of interpreting the object as an instance of 'ARule'.
`T` | `caseASchedule(ASchedule object)` Returns the result of interpreting the object as an instance of 'ASchedule'.
`T` | `caseASelect(ASelect object)` Returns the result of interpreting the object as an instance of 'ASelect'.
`T` | `caseASet(ASet object)` Returns the result of interpreting the object as an instance of ' ASet'.
`T` | `caseAShaped(AShaped object)` Returns the result of interpreting the object as an instance of 'AShaped'.
`T` | `caseASink(ASink object)` Returns the result of interpreting the object as an instance of 'ASink'.
`T` | `caseATransform(ATransform object)` Returns the result of interpreting the object as an instance of 'ATransform'.
`T` | `caseAWatch(AWatch object)` Returns the result of interpreting the object as an instance of 'AWatch'.
`T` | `caseIAct(IAct object)` Returns the result of interpreting the object as an instance of ' IAct'.
`T` | `caseIID(IID object)` Returns the result of interpreting the object as an instance of ' IID'.
`T` | `caseIValue(IValue object)` Returns the result of interpreting the object as an instance of 'IValue'.
`T` | `caseSNamed(SNamed object)` Returns the result of interpreting the object as an instance of 'SNamed'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static MetaABMActPackage modelPackage

  The cached model package

Constructor Detail

### MetaABMActSwitch

    public MetaABMActSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAInput

    public T caseAInput(AInput object)

  Returns the result of interpreting the object as an instance of 'AInput'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AInput'.
  See Also:
    `doSwitch(EObject)`

### caseALiteral

    public T caseALiteral(ALiteral object)

  Returns the result of interpreting the object as an instance of 'ALiteral'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ALiteral'.
  See Also:
    `doSwitch(EObject)`

### caseAMultiValue

    public T caseAMultiValue(AMultiValue object)

  Returns the result of interpreting the object as an instance of 'AMulti Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AMulti Value'.
  See Also:
    `doSwitch(EObject)`

### caseAAct

    public T caseAAct(AAct object)

  Returns the result of interpreting the object as an instance of ' AAct'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' AAct'.
  See Also:
    `doSwitch(EObject)`

### caseAControl

    public T caseAControl(AControl object)

  Returns the result of interpreting the object as an instance of 'AControl'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AControl'.
  See Also:
    `doSwitch(EObject)`

### caseARoot

    public T caseARoot(ARoot object)

  Returns the result of interpreting the object as an instance of 'ARoot'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ARoot'.
  See Also:
    `doSwitch(EObject)`

### caseAGroup

    public T caseAGroup(AGroup object)

  Returns the result of interpreting the object as an instance of 'AGroup'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AGroup'.
  See Also:
    `doSwitch(EObject)`

### caseASchedule

    public T caseASchedule(ASchedule object)

  Returns the result of interpreting the object as an instance of 'ASchedule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ASchedule'.
  See Also:
    `doSwitch(EObject)`

### caseARule

    public T caseARule(ARule object)

  Returns the result of interpreting the object as an instance of 'ARule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ARule'.
  See Also:
    `doSwitch(EObject)`

### caseABuild

    public T caseABuild(ABuild object)

  Returns the result of interpreting the object as an instance of 'ABuild'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ABuild'.
  See Also:
    `doSwitch(EObject)`

### caseAInitialize

    public T caseAInitialize(AInitialize object)

  Returns the result of interpreting the object as an instance of 'AInitialize'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AInitialize'.
  See Also:
    `doSwitch(EObject)`

### caseAMethod

    public T caseAMethod(AMethod object)

  Returns the result of interpreting the object as an instance of 'AMethod'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AMethod'.
  See Also:
    `doSwitch(EObject)`

### caseASink

    public T caseASink(ASink object)

  Returns the result of interpreting the object as an instance of 'ASink'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ASink'.
  See Also:
    `doSwitch(EObject)`

### caseALogic

    public T caseALogic(ALogic object)

  Returns the result of interpreting the object as an instance of 'ALogic'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ALogic'.
  See Also:
    `doSwitch(EObject)`

### caseAAny

    public T caseAAny(AAny object)

  Returns the result of interpreting the object as an instance of ' AAny'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' AAny'.
  See Also:
    `doSwitch(EObject)`

### caseAAll

    public T caseAAll(AAll object)

  Returns the result of interpreting the object as an instance of ' AAll'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' AAll'.
  See Also:
    `doSwitch(EObject)`

### caseANone

    public T caseANone(ANone object)

  Returns the result of interpreting the object as an instance of 'ANone'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ANone'.
  See Also:
    `doSwitch(EObject)`

### caseAQuery

    public T caseAQuery(AQuery object)

  Returns the result of interpreting the object as an instance of 'AQuery'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AQuery'.
  See Also:
    `doSwitch(EObject)`

### caseAEvaluate

    public T caseAEvaluate(AEvaluate object)

  Returns the result of interpreting the object as an instance of 'AEvaluate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AEvaluate'.
  See Also:
    `doSwitch(EObject)`

### caseAAccessor

    public T caseAAccessor(AAccessor object)

  Returns the result of interpreting the object as an instance of 'AAccessor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AAccessor'.
  See Also:
    `doSwitch(EObject)`

### caseAWatch

    public T caseAWatch(AWatch object)

  Returns the result of interpreting the object as an instance of 'AWatch'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AWatch'.
  See Also:
    `doSwitch(EObject)`

### caseASet

    public T caseASet(ASet object)

  Returns the result of interpreting the object as an instance of ' ASet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' ASet'.
  See Also:
    `doSwitch(EObject)`

### caseACreateAgents

    public T caseACreateAgents(ACreateAgents object)

  Returns the result of interpreting the object as an instance of 'ACreate Agents'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ACreate Agents'.
  See Also:
    `doSwitch(EObject)`

### caseABuildProjection

    public T caseABuildProjection(ABuildProjection object)

  Returns the result of interpreting the object as an instance of 'ABuild Projection'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ABuild Projection'.
  See Also:
    `doSwitch(EObject)`

### caseABuildNetwork

    public T caseABuildNetwork(ABuildNetwork object)

  Returns the result of interpreting the object as an instance of 'ABuild Network'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ABuild Network'.
  See Also:
    `doSwitch(EObject)`

### caseABuildSpace

    public T caseABuildSpace(ABuildSpace object)

  Returns the result of interpreting the object as an instance of 'ABuild Space'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ABuild Space'.
  See Also:
    `doSwitch(EObject)`

### caseABuildGeography

    public T caseABuildGeography(ABuildGeography object)

  Returns the result of interpreting the object as an instance of 'ABuild Geography'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ABuild Geography'.
  See Also:
    `doSwitch(EObject)`

### caseABuildGrid

    public T caseABuildGrid(ABuildGrid object)

  Returns the result of interpreting the object as an instance of 'ABuild Grid'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ABuild Grid'.
  See Also:
    `doSwitch(EObject)`

### caseASelect

    public T caseASelect(ASelect object)

  Returns the result of interpreting the object as an instance of 'ASelect'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ASelect'.
  See Also:
    `doSwitch(EObject)`

### caseAMove

    public T caseAMove(AMove object)

  Returns the result of interpreting the object as an instance of 'AMove'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AMove'.
  See Also:
    `doSwitch(EObject)`

### caseATransform

    public T caseATransform(ATransform object)

  Returns the result of interpreting the object as an instance of 'ATransform'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ATransform'.
  See Also:
    `doSwitch(EObject)`

### caseALeave

    public T caseALeave(ALeave object)

  Returns the result of interpreting the object as an instance of 'ALeave'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ALeave'.
  See Also:
    `doSwitch(EObject)`

### caseADie

    public T caseADie(ADie object)

  Returns the result of interpreting the object as an instance of ' ADie'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' ADie'.
  See Also:
    `doSwitch(EObject)`

### caseAConnect

    public T caseAConnect(AConnect object)

  Returns the result of interpreting the object as an instance of 'AConnect'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AConnect'.
  See Also:
    `doSwitch(EObject)`

### caseANetwork

    public T caseANetwork(ANetwork object)

  Returns the result of interpreting the object as an instance of 'ANetwork'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ANetwork'.
  See Also:
    `doSwitch(EObject)`

### caseADisconnect

    public T caseADisconnect(ADisconnect object)

  Returns the result of interpreting the object as an instance of 'ADisconnect'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ADisconnect'.
  See Also:
    `doSwitch(EObject)`

### caseAReplace

    public T caseAReplace(AReplace object)

  Returns the result of interpreting the object as an instance of 'AReplace'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AReplace'.
  See Also:
    `doSwitch(EObject)`

### caseACommand

    public T caseACommand(ACommand object)

  Returns the result of interpreting the object as an instance of 'ACommand'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ACommand'.
  See Also:
    `doSwitch(EObject)`

### caseACause

    public T caseACause(ACause object)

  Returns the result of interpreting the object as an instance of 'ACause'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ACause'.
  See Also:
    `doSwitch(EObject)`

### caseADiffuse

    public T caseADiffuse(ADiffuse object)

  Returns the result of interpreting the object as an instance of 'ADiffuse'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ADiffuse'.
  See Also:
    `doSwitch(EObject)`

### caseAPerform

    public T caseAPerform(APerform object)

  Returns the result of interpreting the object as an instance of 'APerform'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'APerform'.
  See Also:
    `doSwitch(EObject)`

### caseADerive

    public T caseADerive(ADerive object)

  Returns the result of interpreting the object as an instance of 'ADerive'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ADerive'.
  See Also:
    `doSwitch(EObject)`

### caseAShaped

    public T caseAShaped(AShaped object)

  Returns the result of interpreting the object as an instance of 'AShaped'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AShaped'.
  See Also:
    `doSwitch(EObject)`

### caseALoadShapedAgents

    public T caseALoadShapedAgents(ALoadShapedAgents object)

  Returns the result of interpreting the object as an instance of 'ALoad Shaped Agents'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ALoad Shaped Agents'.
  See Also:
    `doSwitch(EObject)`

### caseACreateShapedAgents

    public T caseACreateShapedAgents(ACreateShapedAgents object)

  Returns the result of interpreting the object as an instance of 'ACreate Shaped Agents'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ACreate Shaped Agents'.
  See Also:
    `doSwitch(EObject)`

### caseALoadAgents

    public T caseALoadAgents(ALoadAgents object)

  Returns the result of interpreting the object as an instance of 'ALoad Agents'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ALoad Agents'.
  See Also:
    `doSwitch(EObject)`

### caseIID

    public T caseIID(IID object)

  Returns the result of interpreting the object as an instance of ' IID'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' IID'.
  See Also:
    `doSwitch(EObject)`

### caseIValue

    public T caseIValue(IValue object)

  Returns the result of interpreting the object as an instance of 'IValue'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'IValue'.
  See Also:
    `doSwitch(EObject)`

### caseIAct

    public T caseIAct(IAct object)

  Returns the result of interpreting the object as an instance of ' IAct'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' IAct'.
  See Also:
    `doSwitch(EObject)`

### caseSNamed

    public T caseSNamed(SNamed object)

  Returns the result of interpreting the object as an instance of 'SNamed'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SNamed'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD